Subject: Re: bug#4526: 23.1; shadowfile always fails

From: Michael Albinus <[email-masked]>
Date: Wed, 18 Jul 2018 17:15:26 +0200

Bill Pemberton <[email-masked]> writes:

Hi,

> Shadowfile is always failing because it is somehow always trying to
> to run ssh scp -l wfp5p  -q -e none, which is wrong since there is no
> hostname given.  I get the same error if I start emacs with -q, so it
> doesn't appear to be anything in my startup files. 

It took several years, but now I have done it. Shadowfile.el has been
rewritten to use Tramp file names.

If you are using the latest Emacs 26.1, and you want to test this, you
could download the changed shadowfile.el from
<http://git.savannah.gnu.org/cgit/emacs.git/plain/lisp/shadowfile.el?h=emacs-26>.
Otherwise, it will appear with the next Emacs release.

Best regards, Michael.